#/bin/bash
omar="192.168.0.10"
tool_folder="/tmp/idbroker_performance"

replace_ldap_base_on_host() { # host, folder
  echo "replace ldap base for files on $1 inside $2 (...)"
  ssh root@$1 mkdir -p $tool_folder
  rsync -a replace_ldap_base utils.py root@$1:$tool_folder
  ssh root@$1 "python $tool_folder/replace_ldap_base" "$2"
}

import_ldifs() { # host, folder
  echo "importing ldif files on $1 (...)"
  rsync -a import_ldifs.sh root@$1:$tool_folder
  ssh root@$1 "$tool_folder/import_ldifs.sh" "$2"
}

if [[ -z "${UCS_ENV_TRAEGER1_FQDN}" || -z "${UCS_ENV_TRAEGER2_FQDN}" || -z ${UCS_ENV_BROKER_LDAPS} ]]; then
  echo "Set the envs: UCS_ENV_TRAEGER1_FQDN, UCS_ENV_TRAEGER2_FQDN and UCS_ENV_BROKER_LDAPS to prepare the test."
  exit 1
fi

set -e
set -x

echo "Download ldifs on Traeger 1: ${UCS_ENV_TRAEGER1_FQDN}"
ssh root@${UCS_ENV_TRAEGER1_FQDN} wget "http://$omar/build2/ucs_5.0-0-id-broker-5.0/data/traeger1_ldif.tar.xz"
ssh root@${UCS_ENV_TRAEGER1_FQDN} tar -xf traeger1_ldif.tar.xz
ssh root@${UCS_ENV_TRAEGER1_FQDN} rm -f "/root/traeger1_ldif.tar.xz"
replace_ldap_base_on_host ${UCS_ENV_TRAEGER1_FQDN} "/root/Traeger1/"

echo "Download ldifs on Traeger 2: ${UCS_ENV_TRAEGER2_FQDN}"
ssh root@${UCS_ENV_TRAEGER2_FQDN} wget "http://$omar/build2/ucs_5.0-0-id-broker-5.0/data/traeger2_ldif.tar.xz"
ssh root@${UCS_ENV_TRAEGER2_FQDN} tar -xf traeger2_ldif.tar.xz
ssh root@${UCS_ENV_TRAEGER1_FQDN} rm -f "/root/traeger2_ldif.tar.xz"
replace_ldap_base_on_host ${UCS_ENV_TRAEGER2_FQDN} "/root/Traeger2/"


for host in ${UCS_ENV_BROKER_LDAPS}; do
  echo "Download ldifs on ID Broker System: $host"
  ssh root@${host} wget -nv  "http://$omar/build2/ucs_5.0-0-id-broker-5.0/data/id_broker_ldif.tar.xz"
  ssh root@${host} tar -xf id_broker_ldif.tar.xz
  ssh root@${host} rm -f "/root/traeger2_ldif.tar.xz"
  replace_ldap_base_on_host ${host} "/root/id-broker/"
done

import_ldifs ${UCS_ENV_TRAEGER1_FQDN} "/root/Traeger1/*.ldif"
import_ldifs ${UCS_ENV_TRAEGER2_FQDN} "/root/Traeger2/*.ldif"
for host in ${UCS_ENV_BROKER_LDAPS}; do
  import_ldifs $host "/root/id-broker/*.ldif"
done
